body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow-x: hidden;
    font-family: 'Helvetica Neue';
    
}

/* ------------------------main----------------------------- */

.currentuserposition, .map__area, .bluebackwithimg, .images, .infoafterclick{
    width: 86%;
    margin: 0 auto;
}
.logo__desktop, .footer__logo{
    width: 10vw;
    object-fit: cover;
}
.footer__logo{
    width: 10vw;
    object-fit: cover;
    display: flex;
    flex-direction: column;
    gap: 1vw;
    align-items: center;
    
}
.logo__desktop img , .footer__logo img{
    width: 100%;
    height: 100%;
}
.links {
    position: relative;
    font-size: 1vw;
    font-weight: 500;
    line-height: normal;
    /* display: inline-block; */
    cursor: pointer;
    padding-bottom: 4px;
}
.currentuserposition{
    margin-top: 60px;
    color: rgba(32, 46, 72, 0.70);
    font-size: 1.3vw;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.head{
    color: #3B3D40;
    font-size: 3vw;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    font-family: "Systopie";
}
.links:hover::after
{
    border-color: black; 
}
#vkusnoitochkamap:hover,
#vkusnoitochkamap2:hover,
#mioteamap:hover,
#mioteamap2:hover,
#vkusnoitochkamap3:hover,
#vkusnoitochkamap4:hover,
#darvinmap:hover,
#darvinmap2:hover,
#darvinmap3:hover,
#detskymirmap:hover,
#detskymirmap2:hover,
#detskymirmap3:hover,
#pivotekamap:hover,
#tabaccolabmap:hover,
#kantatamap:hover,
#kantatamap2:hover,
#kantatamap3:hover,
#marmeladnyiraimap:hover,
#marmeladnyiraimap2:hover,
#marmeladnyiraimap3:hover,
#manskvartalmap:hover,
#manskvartalmap2:hover,
#manskvartalmap3:hover,
#ozonmap:hover,
#ozonmap2:hover,
#ozonmap3:hover,
#tele2map:hover,
#tele2map2:hover,
#tele2map3:hover,
#alenkamap:hover,
#alenkamap2:hover,
#alenkamap3:hover,
#kafeteriusmap:hover,
#kafeteriusmap2:hover,
#mvideomap:hover,
#optikabluemap:hover,
#optikabluemap2:hover,
#mvideomap2:hover,
#mvideomap3:hover,
#sokolovmap:hover,
#sokolovmap1:hover,
#sokolovmap3:hover,
#sokolovmapmap:hover,
#sokolovmapmap2:hover,
#sokolovmapmap3:hover,
#gipfelmap:hover,
#gipfelmap2:hover,
#gipfelmap3:hover,
#nyamamap:hover,
#nyamamap2:hover,
#nyamamap3:hover,
#surfcoffemap:hover,
#surfcoffemap2:hover,
#surfcoffemap3:hover,
#dodommap:hover,
#dodommap2:hover,
#dodommap3:hover,
#knyzhnyilabirintmap:hover,
#knyzhnyilabirintmap2:hover,
#knyzhnyilabirintmap3:hover,
#a366map:hover,
#a366map2:hover,
#a366map3:hover,

#pierrenaturellemap:hover,
#pierrenaturellemap2:hover,
#megaphonemap:hover,
#megaphonemap2:hover,
#megaphonemap3:hover,
#mobilnyimirmap:hover,
#kulinariyamap:hover,
#kulinariya2map:hover,
#kulinariyamap2:hover,
#hatsunmap:hover,
#hatsunmap2:hover,
#optikamap:hover,
#optikamap2:hover,
#tsvetochnyiekspressmap:hover,
#tsvetochnyiekspressmap2:hover,
#miltymap:hover,
#miltymap2:hover,
#kofeterapiyamap:hover,
#kofeterapiyamap2:hover,
#gammadoromap:hover,
#gammadoromap1:hover,
#sunlightmap1:hover,
#sunlightmap:hover,
#sunlightmapmap:hover,
#sunlightmapmap2:hover,
#cppkmap:hover,
#cppkmap2:hover,
#cppkmapmap:hover,
#cppkmap4:hover,
#himchistkamap,
#himchistkamap2,
#pazllavashmap:hover,
#pazllavashmap2:hover,
#pazllavashmap3:hover,
#khlebmap:hover,
#khlebmap2:hover,
#khlebmap3:hover,
#imigemap:hover,
#imigemap2:hover,
#imigemap3:hover {
    z-index: 999;
    cursor: pointer;
}

.shadow {
    width: 100%; 
    margin: -1.7vw auto 0px auto; 
    overflow: hidden;
    position: relative; 
    z-index: 0;
    object-fit: cover;
}

.infoafterclick {
    margin-bottom: 2vw; 
    overflow: hidden;
    
}

.shadow img {
    width: calc(100% + 45px);
    height: 100%; 
    position: relative;
    top: 0;
    left: 0;
    z-index: -1; 
    filter: blur(5px);
    margin-left: -29px;
}


.interactivewindow {
    position: absolute;
    width: 10vw;
    height: 10vw;
    border-radius: 0.2vw;
    background: #FFF;
    box-shadow: 0px 4px 6px 0px rgba(79, 79, 79, 0.25);
    display: none;
    z-index: 3;
    flex-direction: column;
    align-items: center;
    
}

.horlineMap{
    width: 80%;
    margin: 0 auto;
    height: 1px;
    background: rgba(112, 129, 146, 0.50);
}

.interactivewindow__info {
    font-size: 0.7vw;
    font-weight: 400;
    line-height: normal;
    text-align: center;
    margin-top: 1vw;
    margin-bottom: 1vw;
}
.interactivewindow__logo{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 70%;
    object-fit: cover
}

.interactivewindow__logo img{
    height: 65%;
    width: 90%;
    margin: auto 0;
}
.textlogo{
    width: 250px;
    height: 40px;
}

.textlogoTabac{
    width: 250px;
    height: 80px;
}

.withoutback img{
    height: 100%;
    width: 100%;
}

.withoutback{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 1;
    visibility: visible;
    transition: opacity 0.1s ease-in-out, visibility 0.7s ease-in-out, transform 0.7s ease-in-out;
}

.magazine__card .withoutback {
    opacity: 0;
    visibility: hidden;
}

.magazine__card:hover .withoutback {
    opacity: 1;
    visibility: visible;
}

.circles{
    display: flex;
    gap: 1vw;
    margin-right: 1vw;
    justify-content: right;
    margin-top: 2.3vw;
    width: 100%;
    margin-right: 5vw;
}

.circleitem{
    display: flex;
    justify-content: center;
    align-items: center;
    color: #000;
    height: 3vw;
    width: 3vw;
    font-size: 1.5vw;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    border-radius: 50%;
    border: 2px solid black;
    -ms-user-select: none; 
    -moz-user-select: none; 
    -webkit-user-select: none; 
    user-select: none;
    
}
.current{
    background: #032846;
    color: #FFF;
    border: 0px;
    height: 3.1vw;
    width: 3.1vw;
    font-size: 1.5vw;
}

.map__area{
    margin-top: 41px;
    
}
.map1{
    display: flex;
}

.map2{
    display: none;
}

.map3{
    display: none;
    
}

.map1, .map2, .map3{
    justify-content: space-between;
    align-items: center;
    margin-top: 53px;
}

#detskymirmap{
    cursor: pointer;
}

.mapsvg{
    object-fit: cover;
    width: 40vw;
    
    margin: 0 auto;
}

.mapsvg3{
    padding-right: 0.1vw;
    margin: 0 auto;
    width: 60vw;
    /* height: 60vh; */

}

.thirdsbuttons{
    margin-top: 23px;
    padding-left: 30px;
}

nulltobtn{
    width: 73px;
}

.nullarea{
    height: 20vh;
}
.rightside{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 3vw;
}

.icons{
    display: flex;
    flex-direction: column;
    object-fit: cover;
    gap: 1vw;
    width: 2.3vw;
    /* height: 2.3vw; */
    /* padding-bottom: 3vw; */
}
.icon{
    width: 100%;
    height: 100%;
}



.plusminusbtns__item{
    height: 3vw;
    width: 3vw;
    border: 1px solid #000;
    justify-content: center;
    align-items: center;
    font-size: 2vw;
    -ms-user-select: none; 
    -moz-user-select: none; 
    -webkit-user-select: none; 
    user-select: none;
}

.low{
    border-top: none;
}

.catalog{
    background: rgba(254, 240, 211, 0.21);
    width: 100%;
    margin-top: 126px;
}

.catalog__wrapper{
    width: 90%;
    margin: 0 auto;
    padding-top: 73px;
    padding-bottom: 84px;
    flex-direction: column;
    
}

.catalog__names{
    width: 80%;
    margin: 0 auto;
    justify-content: space-between;
    margin-bottom: 126px;
    
}

.catalogname{
    display: flex;
    gap: 12px;
    align-items: center;
    

}

.catalog-item{
    width: 20%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 0.4vw;
    cursor: pointer;
}
.catalogicon{
    height: 2vw;
    width: 2vw;
    object-fit: cover;

}

.catalogicon img{
    width: 100%;
    height: 100%;
}

.line{
    width: 100%;
    height: 2px;
    background: #000;
    transition: background 0.1s ease;
}

.search__area{
    justify-content: space-between;
    gap: 40px;
    
}




.catalog-item.active .nm,
.catalog-item.active .count {
    
    color: #743D7E;
}

.catalog-item.active .line{
    background: #743D7E;
}

.catalogicon {
    display: flex;
    justify-content: right;
}

.nm,
.count {
    color: #000;
    font-size: 1vw;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    transition: color 0.1s ease;
}

.count {
    font-size: 0.8vw;
}






.cataloginput, .catalogicon{
   background: transparent;
   border: none;
   outline: none;
   
}

input[type='text'] { font-size: 1vw;
width: 70%; }

.cataloginput:hover{
   border: none;

}


.none {
    display: none;
}





.catalogcards__wrapper{
    
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 3vw;
}
.catalog__area {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-row-gap: 1.5vw;
    grid-column-gap: 2.5vw;
}

.magazine__card {
    border-radius: 5px;
    background: #FFF;
    box-shadow: 0px 4px 6px 0px rgba(79, 79, 79, 0.25);
    width: 15vw;
    height: 15vw;
    
    position: relative;
    overflow: hidden;
    gap: 10px;
    cursor: pointer;
}

.logos {
    height: 10vw;
    width: 100%;
    object-fit: fill;
    position: relative;
}

.logosecond img {
    width: 15vw;
    height: 10vw;
}





.logofirst{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 1;
    visibility: visible;
    object-fit: cover;
    transition: opacity 0.7s ease-in-out, visibility 0.7s ease-in-out, transform 0.7s ease-in-out;
}

.logosecond {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 1;
    visibility: visible;
    transition: opacity 0.1s ease-in-out, visibility 0.7s ease-in-out, transform 0.7s ease-in-out;
}


.logofirst {
    z-index: 3;
    width: 10vw;
    height:6vw;
    object-fit: cover;
}
.logofirst img{
    width: 100%;
    height: 100%;
}

.magazine__card:hover .logofirst {
    opacity: 0;
    visibility: hidden;
    transform: translate(-50%, -50%) scale(0.2); 
}

.magazine__card .logosecond {
    opacity: 0;
    visibility: hidden;
}

.magazine__card:hover .logosecond {
    opacity: 1;
    visibility: visible;
}

.information {
    transition: opacity 0.2s ease-in-out;
}

.magazine__card:hover .information {
    opacity: 0;
}

.informationhover {
    opacity: 0;
    position: absolute;
    bottom: -32.5%;
    left: 0;
    width: 100%;
    height: 32.5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: opacity 0.3s ease-in-out, bottom 0.7s ease-in-out;
    background: white;
}

.magazine__card:hover .informationhover {
    opacity: 1;
    bottom: 0;
}

.magazin__name {
    text-align: center;
    margin-top: 30px;
    font-size: 1vw;
    font-weight: 500;
    line-height: normal;
    color: #000;
}

.smallhorizontalline {
    width: 80%;
    margin: 0 auto;
    background-color: rgba(112, 129, 146, 0.50);
    height: 0.1vw;
    z-index: 2;
}



.magazin__name__hover {
    margin-bottom: 4px;
    color: #753E7F;
    font-size: 1vw;
    font-weight: 500;
    line-height: normal;
}

.bighorizontalline {
    width: 100%;
    height: 0.07vw;
    background-color: rgba(112, 129, 146, 0.50);
}

.vertlinehover {
    height: 102%;
    width: 0.07vw;
    background-color: rgba(112, 129, 146, 0.50);
}

.informationbolck {
    justify-content: center;
    align-items: center;
}

.onmap,
.nameonmap {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 8vw;
    height: 3.4vw;
    margin: 0 auto;
    background: #fff;
    color: #000; 
    transition: background 0.7s ease, color 0.3s ease;
    font-size: 0.8vw;
    margin-bottom: -0.1vw;
}

.onmap{
    color: #A5A6A7;
}


.nameonmap:hover {
    background: linear-gradient(180deg, #743D7E 23.3%, #502E75 100%);
    color: #FFF;
}

.moreBtn:hover{
    filter: brightness(1.1);
}
.moreBtn:hover .arrow{
    transform: translateX(20px);
}

.arrow {
    transition: transform 0.5s ease;
    width: 2.3vw;
    display: flex;
    align-items: center;
    justify-content: center;

}

.arrow img{
    width: 100%;
    height: 100%;
}

.moreBtn {
    width: 18vw;
    height: 4.3vw;
    border-radius: 0.3vw;
    background: linear-gradient(180deg, #743D7E 23.3%, #502E75 100%);
    margin: 0 auto;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    gap: 0.5vw;
    transition: filter 0.3s ease; 
    
    
}

.morebtntext{
    font-size: 1.3vw;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.backwithtext{
    background: url("./assets/desktopimages/blueback.png");
    background-size: cover;
    background-repeat: no-repeat;
    align-items: center;
    justify-content: center;
    width: 50%;

}

.backwithtext__wrapper{
    padding-top: 96px;
    padding-bottom: 119px;
    flex-direction: column;
    gap: 25px;
    width: 80%;
    margin: 0 auto;
    
}

.headmag{
    color: #FFF;
    font-family: "Systopie";
    font-size: 1.3vw;
    font-style: normal;
    font-weight: 500;
    letter-spacing: 0.3px;
}

.classes{
    color: #FFF;
    font-family: "Systopie";
font-style: normal;
font-weight: normal;
font-size: 0.9vw;
line-height: 120.41%;
/* or 24px */
letter-spacing: 0.01em;
}

.img,.imageeees{
    width: 100%;
    height: 100%;
}

.image{
    width: 50%;
    object-fit: cover;
    
    
}

.image img{
    width: 100%;
    height: 100%;
    aspect-ratio: 16/9;
}

.bluebackwithimg{
    justify-content: center;
}

.images{
    padding-top: 134px;
    padding-bottom: 134px;
    width: 86%;
    margin: 0 auto;
}
.images__wrapper{
    justify-content: space-between;
    width: 100%;
}

.smallimagescolumn{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 20%;
}

.cetnralimage{
    width: 57%;
}

.imageeees {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
  }
  
  .central-image {
    opacity: 1;
    transform: translateY(0);
  }
  
  .show {
    opacity: 1;
    transform: translateY(0);
  }


.infoafterclick{
    align-items: center;
    margin-top: 1vw;
    width: 20vw;
    display: flex;
    flex-direction: column;
    
}

.infoafterclick__wrapper{
    display: flex;
    width: 20vw;
    margin: 0 auto;
    background: #F7F7F7;
    padding-top: 2vw;
    padding-bottom: 2vw;
    justify-content: space-around;
    align-items: center;
    position: relative; 
    overflow: hidden; 
    z-index: 3;
    
}

.zeroarea{
   width: 10%;
}
.nameandtime{
    display: flex;
    flex-direction: column;
    gap: 0.5vw;
    
    text-align: center;
    margin: 0 auto;
}

.magazinename{
    font-family: 'Systopie';
    font-style: normal;
    font-weight: 400;
    font-size: 1.3vw;
    
    color: #000000;
}

.magazineworktime{  
    font-style: italic;
    font-weight: 300;
    font-size: 1vw;
    line-height: 19px;
    color: #000000;

}

.infologo{
    object-fit: cover;
    margin-left: 20px;
    margin: 0 auto;
    width: 5vw;
    /* height: 80%; */
}

.infologo img{
    width: 100%;
    height: 100%;
    
}




.bluebackwithimg{
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.3s ease, transform 1s ease;
}

.bluebackwithimg.visible{
    opacity: 1;
    transform: translateY(0);
}





#scene, #scene2, #scene3 {
    cursor: auto !important;
   width: 100%;
   height: 100%;
}

.dropdown {
    position: relative;
    display: inline-block;

  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    width: 11vw;
    
    padding: 10px;
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    z-index: 1;
    transform-origin: center top;
    animation: slideIn 0.3s ease-in-out;
    border-radius: 5px;
  }
  
  .dropdown-content a {
    color: black;
    padding-top: 0.2vw;
    padding-bottom: 0.2vw;
    text-decoration: none;
    display: block;
    
  }
  
  .dropdown:hover .dropdown-content {
    display: block;
    left: -4vw;
    
    
  }

.droplink{
    position: relative;
    font-size: 0.7vw; 
    font-weight: 500;
    line-height: normal;
    display: flex;
    cursor: pointer;
    padding-bottom: 1vw;
    text-align: center;
    
}


.droplink::after{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: 9.7vw;
    border-bottom: 0.05vw solid transparent;
    transition: border-color 0.3s ease;
}

.droplink:hover::after{
    border-color: black;
    opacity: 0.6;
}

.ft{
    font-size: 1vw;
}
  

  @keyframes slideIn {
    from {
      transform: scaleY(0);
    }
    to {
      transform: scaleY(1);
    }
  }

  

@media screen and (max-width:1560px){
    /* .catalog__area {
        display: grid;
        grid-template-columns: repeat(3, 1fr); 
        grid-row-gap: 126px;
        grid-column-gap: 84px;
    } */
}
@media screen and (max-width:1300px){
    /* .catalog__area {
        display: grid;
        grid-template-columns: repeat(2, 1fr); 
        grid-row-gap: 126px;
        grid-column-gap: 84px;
    } */
}



@media screen and (max-width:1560px) {
    

    .backwithtext__wrapper{
        padding-top: 66px;
        padding-bottom: 86px;
    }
}




@media screen  and (max-width:1100px){
     
    .nm, .count{
        font-style: 12px;
    }
}
 

 
 

    
    
    
    


/* @media screen and  (max-width:1100px) {
   
    .telephoneimg{
        display: none;
    }
    .blockWithForm-head{
        font-size: 34px;
        text-align: center;
    }
    .head{
        font-size: 34px;
    }
    .name{
        font-size: 20px;
    }

   
    

    
    .footer__firstline, .footer__secondline  {
        width: 95%; 
        margin: 0 auto;
    }
    .ft {
        font-size: 12px;
    }
    .bigtext {
        margin-top: 100px;
        margin-bottom: 80px;
    }
    .links__wrapper{
        gap: 5px;
    }

    .links{
        font-size: 12px;
    }

    .dropdown{
        margin-top: -5px;
    }

    .logo__desktop img{
        width: 140px;
        height: 30px;
    }
    .links__wrapper{
        width:75%;
        margin: 0 auto;
    }

    
    .footer__line{
        width: 100%;
    }
    .info{
        gap: 10px;
        
    }
    .list{
        gap: 5px;
    }

    
    
} */

@media screen and (max-width:800px) {
    /* .catalog__area {
        display: grid;
        grid-template-columns: repeat(1, 1fr); 
        grid-row-gap: 126px;
        grid-column-gap: 84px;
    } */
}




    






















